=== debian/changelog ===
ros-indigo-rviz-plugin-tutorials (0.9.2-0trusty) trusty; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 21 Sep 2015 07:00:00 -0000

ros-indigo-rviz-plugin-tutorials (0.9.1-0trusty) trusty; urgency=high

  * Added ``#ifndef Q_MOC_RUN`` guard for compatibility with newer boost versions.
  * Contributors: Ryohei Ueda, William Woodall

 -- William Woodall <william@osrfoundation.org>  Mon, 26 Jan 2015 08:00:00 -0000

ros-indigo-rviz-plugin-tutorials (0.9.0-0trusty) trusty; urgency=high

  * set myself (william) as maintainer
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Mon, 24 Mar 2014 07:00:00 -0000
